<template>
    <div class="brief_item">
        <div class="brief_item_txtct">

            <ion-icon v-if="params.icon_name" v-bind:name="params.icon_name" class="brief_icon"></ion-icon>
            <div class="brief_nums_ct">
                <span>{{params.num}}</span>
                <span>{{params.title}}</span>
            </div>
        </div>
        <a href="" class="brief_detail">
            查看详情 <img class="base_icon arrow_icon" src="../assets/image/ionicons/ios-arrow-round-forward.svg"></img>
        </a>
    </div>
</template>
<script>
import Eos from '../service/eos_service.js'
export default {
    data () {
        return {
            on_load: false,
            result: '...'
        }
    },
    mounted () {
        this.start_load_info();
    },
    props: {
        params: {
            type: Object,
            default () {
                return {
                    title: '区块',
                    icon_name: 'person',
                    num: ''
                }
            }
        }
    },
    methods: {
        start_load_info () {
            if(this.check_load()) return ;

            this.load_start();

            Eos.getActions({}).then(result => {
                this.result = result.last_irreversible_block;
                this.load_finish();
                setTimeout(()=>{
                    this.start_load_info();
                }, 1000);
            });;
        },
        load_start(){
            this.on_load = true;
        },
        load_finish(){
            this.on_load = false;
        },
        check_load(){
            if(this.on_load){
                return true;
            }
            return false;
        }
    }
}
</script>